Subject: bug#14553: 24.3.50; C-g doesn't break inf-loop

From: Katsumi Yamaoka <[email-masked]>
Date: Tue, 01 Oct 2019 09:01:37 +0900

On Mon, 30 Sep 2019 17:44:01 +0200, Stefan Kangas wrote:
> Katsumi Yamaoka <[email-masked]> writes:
>> Start Emacs with the -Q option.
>> Eval the form: (while t)

>> Then I get unable to break it.  So is Emacs 24.3.  This may happen
>> only on Cygwin, though.  It makes me hard to debug a code suspected
>> to have an infinite loop.

> That was six years ago.  Are you still seeing this on a modern version
> of Emacs?

C-g still doesn't break (while t) on Emacs 27.0.50 of today, and
also on 26.3.50, 26.1, 25.1 rebuilt recently.  I got used to it,
so I'm not so troubled. ;-)  Thanks for following this up.